Subject: bug#12466: 24.2; crash on OS X 10.7 in [EmacsView windowDidResize]

From: Jan Djärv <[email-masked]>
Date: Thu, 20 Sep 2012 08:09:38 +0200

Hello.

19 sep 2012 kl. 22:11 skrev Michael McCracken <[email-masked]>:

> Jan, I just got a chance to build from trunk, and I haven't noticed
> the resize crash re-occurring.
> 

That is good to hear.

> However, a new weird behavior showed up - now it moves the whole frame
> around in a jerky jumping fashion when I resize it using the
> bottom-right corner of the window.
> 
> The other corners work as expected, but if I drag the bottom-right
> corner down, the whole frame moves down as well. Similarly if I drag
> it up, it will both make the frame smaller *and* move the whole frame
> up, making it possible to end up with a frame whose title bar is off
> screen.

Emacs handle resizing in that corner specially in an attemt to make the fraem redraw itself when resizing happens.  But it really does not work, I plan to get rid of the special case soon.

> 
> Should I file this as a separate bug?

Please do.

> 
> BTW, I use bazaar regularly, so if it'd be helpful to have me test a
> private branch, I'm happy to do so.
> 

I haven't published my private branch, and I hope to merge the few things that differ to the trunk soonish, i.e. before feature freeze on October 1st.

Thanks,

	Jan D.